<mamecheat version="1">

  <cheat desc="Select Starting Stage">
    <parameter>
      <item value="0x103C0000">Lesson 1</item>
      <item value="0x103C0001">Lesson 2</item>
      <item value="0x103C0002">Lesson 3</item>
      <item value="0x103C0003">Stage 1</item>
      <item value="0x103C0004">Stage 2</item>
      <item value="0x103C0005">Stage 3</item>
      <item value="0x103C0006">Stage 4</item>
      <item value="0x103C0007">Stage 5</item>
      <item value="0x103C0008">Stage 6</item>
      <item value="0x103C0009">Stage 7</item>
      <item value="0x103C000A">Stage 8</item>
      <item value="0x103C000B">Stage 9</item>
      <item value="0x103C000C">Stage 10</item>
      <item value="0x103C000D">Special Stage</item>
    </parameter>
    <script state="on">
      <action>temp0 =maincpu.md@008C2C</action>
    </script>
    <script state="run">
      <action>maincpu.md@008C2C=param</action>
    </script>
    <script state="off">
      <action>maincpu.md@008C2C=temp0 </action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Select Perm Damage Level PL1">
    <parameter>
      <item value="0x01">No Damage</item>
      <item value="0x02">Full Damage</item>
    </parameter>
    <script state="run">
      <action condition="(param==01)">maincpu.pd@209196=00000000</action>
      <action condition="(param==01)">maincpu.pw@20919A=0000</action>
      <action condition="(param==02)">maincpu.pd@209196=FFFFFFFF</action>
      <action condition="(param==02)">maincpu.pw@20919A=FFFF</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Select Perm Damage Level PL2">
    <parameter>
      <item value="0x01">No Damage</item>
      <item value="0x02">Full Damage</item>
    </parameter>
    <script state="run">
      <action condition="(param==01)">maincpu.pd@2091AC=00000000</action>
      <action condition="(param==01)">maincpu.pw@2091B0=0000</action>
      <action condition="(param==02)">maincpu.pd@2091AC=FFFFFFFF</action>
      <action condition="(param==02)">maincpu.pw@2091B0=FFFF</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Sound Test">
    <parameter min="1" max="175" step="1"/>
    <script state="on">
      <action condition="maincpu.pb@202C61==00">maincpu.pb@202C61=01</action>
      <action condition="maincpu.pb@202E15==00">maincpu.pb@202E15=01</action>
    </script>
    <script state="change">
      <action>maincpu.pb@E00001=param</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
